<?php
$numberOfWords = 12;
$defaultDescription = true;
$defaultDescriptionTextAlign = 'center';
$defaultDescriptionColor = 'rgb(117, 117, 117)';
$defaultDescriptionHoverColor = 'rgb(117, 117, 117)';
$defaultDescriptionMarginTop = '20';
$defaultDescriptionMarginBottom = '20';
$defaultDescriptionLineHeight = '25';
if(isset($allSlider[71])){
  $defaultDescription = false;
}
if ($allSlider[0]) {
  echo "<div class='wpm-6310-carousel'>
  <div id='wpm-6310-slider-{$ids}' class='wpm-6310-owl-carousel'>";
  if ($members) {
    foreach ($members as $value) {
      $attr2 = [];
        if ($value['profile_details_type'] == 1) {
        $cls = " wpm_6310_team_member_info";
        $attr = " link-id='{$value['id']}' link-url='".wpm_6310_validate_profile_url($value['profile_url'])."' target='{$value['open_new_tab']}' team-id='0'";
        $attr2 = [
          " link-id='{$value['id']}' team-id='0'",
          wpm_6310_validate_profile_url($value['profile_url']),
          $value['open_new_tab']
        ];
        } else if ($value['profile_details_type'] == 2) {
        $cls = " wpm_6310_team_member_info";
        $attr = " link-id='0' team-id='{$value['id']}'";
        $attr2[] = $attr;
        } else {
        $cls = '';
        $attr = " link-id='0' team-id='0'";
        $attr2[] = $attr;
        }
      $readMoreActive = isset($allSlider[311]) && $allSlider[311] > 0 ? 1 : 0;
?>
      <div class="wpm-6310-item-<?php echo $ids; ?>" >
      <div class="<?php echo  "wpm_6310_team_style_{$ids}" . (!$readMoreActive ? $cls : '') ?>" <?php echo !$readMoreActive ? $attr : '' ?>>
          <div class="wpm_6310_team_style_<?php echo $ids ?>_pic">
            <?php 
              echo wpm_6310_extract_image($value['image'], $value['hover_image'], $value['name'], $ids);
            ?>
          </div>
          <div class="wpm_6310_team_style_<?php echo $ids ?>_team_content">
            <div class="wpm_6310_team_style_<?php echo $ids ?>_title"><?php echo wpm_6310_replace(esc_attr($value['name'])) ?></div>
            <div class="wpm_6310_team_style_<?php echo $ids ?>_designation"><?php echo wpm_6310_replace(esc_attr($value['designation'])) ?></div>
            <?php
                wpm_6310_extract_contact_info(isset($value['contact_info']) ? $value['contact_info'] : '', $ids);
                wpm_6310_template_skills($value['skills'], $ids, $allSlider, $value['id']);
                wpm_6310_social_icon($value['iconids'], $value['iconurl'], $allStyle[28], $value['id'], $ids, '', '', isset($allSlider['63']) ? $allSlider['63'] : 4);
                echo wpm_6310_extract_member_description($value['profile_details'], ((isset($allSlider[72]) && $allSlider[72] !== '') ? $allSlider[72] : $numberOfWords), $ids, $suffix);
                wpm_6310_read_more($readMoreActive, $ids, $allSlider, $cls, $attr2, $value['profile_details_type']);
                ?>
          </div>
        </div>
      </div>
    <?php
    }
  }
  echo "</div>
  </div>";
} else {
  if ($members) {
    wpm_6310_search_template($ids, $allSlider, $desktop_row);
    wpm_6310_category_menu($categoryData, $ids, $styledata['categoryids'], 1);
    if(!isset($allSlider[101]) || $allSlider[101] == 0){
    echo "<div class='wpm-6310-row wpm-6310-default-members'>";
    foreach ($members as $value) {
      $attr2 = [];
        if ($value['profile_details_type'] == 1) {
        $cls = " wpm_6310_team_member_info";
        $attr = " link-id='{$value['id']}' link-url='".wpm_6310_validate_profile_url($value['profile_url'])."' target='{$value['open_new_tab']}' team-id='0'";
        $attr2 = [
            " link-id='{$value['id']}' team-id='0'",
            wpm_6310_validate_profile_url($value['profile_url']),
            $value['open_new_tab']
        ];
        } else if ($value['profile_details_type'] == 2) {
        $cls = " wpm_6310_team_member_info";
        $attr = " link-id='0' team-id='{$value['id']}'";
        $attr2[] = $attr;
        } else {
        $cls = '';
        $attr = " link-id='0' team-id='0'";
        $attr2[] = $attr;
        }
      $readMoreActive = isset($allSlider[311]) && $allSlider[311] > 0 ? 1 : 0;
    ?>
      <div class="wpm-6310-col-<?php echo $desktop_row; ?>">
      <div class="<?php echo  "wpm_6310_team_style_{$ids}" . (!$readMoreActive ? $cls : '') ?>" <?php echo !$readMoreActive ? $attr : '' ?>>
          <div class="wpm_6310_team_style_<?php echo $ids ?>_pic">
            <?php 
              echo wpm_6310_extract_image($value['image'], $value['hover_image'], $value['name'], $ids);
            ?>
          </div>
          <div class="wpm_6310_team_style_<?php echo $ids ?>_team_content">
            <div class="wpm_6310_team_style_<?php echo $ids ?>_title"><?php echo wpm_6310_replace(esc_attr($value['name'])) ?></div>
            <div class="wpm_6310_team_style_<?php echo $ids ?>_designation"><?php echo wpm_6310_replace(esc_attr($value['designation'])) ?></div>
            <?php
                wpm_6310_extract_contact_info(isset($value['contact_info']) ? $value['contact_info'] : '', $ids);
                wpm_6310_template_skills($value['skills'], $ids, $allSlider, $value['id']);
                wpm_6310_social_icon($value['iconids'], $value['iconurl'], $allStyle[28], $value['id'], $ids, '', '', isset($allSlider['63']) ? $allSlider['63'] : 4);
                echo wpm_6310_extract_member_description($value['profile_details'], ((isset($allSlider[72]) && $allSlider[72] !== '') ? $allSlider[72] : $numberOfWords), $ids, $suffix);
                wpm_6310_read_more($readMoreActive, $ids, $allSlider, $cls, $attr2, $value['profile_details_type']);
                ?>
          </div>
      </div>
      </div>
<?php
    }
    echo "</div>";
  }
  }
  if($filterList && isset($allSlider[101]) && $allSlider[101] == 1){
    $catIdList = explode(",", $styledata['categoryids']);
    foreach($filterList as $filterKey => $filterValue){
      $returnMember = wpm_6310_extract_members($filterValue);
      $catMembers = $returnMember['members'];
      if(wpm_6310_order_type($styledata['memberid'])) {
        shuffle($catMembers);
      }
      if ($catMembers) {
        $displayCSS = wpm_6310_first_category($catIdList[0], $filterKey);
        echo "<div class='wpm-6310-row {$filterKey}' {$displayCSS}>";
        foreach ($catMembers as $value) {
          $attr2 = [];
            if ($value['profile_details_type'] == 1) {
            $cls = " wpm_6310_team_member_info";
            $attr = " link-id='{$value['id']}' link-url='".wpm_6310_validate_profile_url($value['profile_url'])."' target='{$value['open_new_tab']}' team-id='0'";
            $attr2 = [
               " link-id='{$value['id']}' team-id='0'",
               wpm_6310_validate_profile_url($value['profile_url']),
               $value['open_new_tab']
            ];
            } else if ($value['profile_details_type'] == 2) {
            $cls = " wpm_6310_team_member_info";
            $attr = " link-id='0' team-id='{$value['id']}'";
            $attr2[] = $attr;
            } else {
            $cls = '';
            $attr = " link-id='0' team-id='0'";
            $attr2[] = $attr;
            }
          $readMoreActive = isset($allSlider[311]) && $allSlider[311] > 0 ? 1 : 0;
        ?>
          <div class="wpm-6310-col-<?php echo $desktop_row; ?>">
          <div class="<?php echo  "wpm_6310_team_style_{$ids}" . (!$readMoreActive ? $cls : '') ?>" <?php echo !$readMoreActive ? $attr : '' ?>>
              <div class="wpm_6310_team_style_<?php echo $ids ?>_pic">
                <?php 
              echo wpm_6310_extract_image($value['image'], $value['hover_image'], $value['name'], $ids);
            ?>
              </div>
              <div class="wpm_6310_team_style_<?php echo $ids ?>_team_content">
                <div class="wpm_6310_team_style_<?php echo $ids ?>_title"><?php echo wpm_6310_replace(esc_attr($value['name'])) ?></div>
                <div class="wpm_6310_team_style_<?php echo $ids ?>_designation"><?php echo wpm_6310_replace(esc_attr($value['designation'])) ?></div>
                <?php
                    wpm_6310_extract_contact_info(isset($value['contact_info']) ? $value['contact_info'] : '', $ids);
                    wpm_6310_template_skills($value['skills'], $ids, $allSlider, $value['id']);
                    wpm_6310_social_icon($value['iconids'], $value['iconurl'], $allStyle[28], $value['id'], $ids, '', '', isset($allSlider['63']) ? $allSlider['63'] : 4);
                    echo wpm_6310_extract_member_description($value['profile_details'], ((isset($allSlider[72]) && $allSlider[72] !== '') ? $allSlider[72] : $numberOfWords), $ids, $suffix);
                    wpm_6310_read_more($readMoreActive, $ids, $allSlider, $cls, $attr2, $value['profile_details_type']);
                    ?>
              </div>
          </div>
          </div>
    <?php
        }
        echo "</div>";
      }
    }
  }
}
?>

<?php 
    $hover_bg1 = $allStyle[7];
    $hover_bg2 = isset($allStyle[36]) ? $allStyle[36] : $hover_bg1 ;
    $hover_bg3 = isset($allStyle[37]) ? $allStyle[37] : $hover_bg1 ;

    $background_bg1 = $allStyle[34];
    $background_bg2 = isset($allStyle[38]) ? $allStyle[38] : $background_bg1 ;
    $background_bg3 = isset($allStyle[39]) ? $allStyle[39] : $background_bg1 ;
?>

<style type="text/css">
  .wpm_6310_team_style_<?php echo $ids ?> {
    text-align: center;
    overflow: hidden;
    transition: all 0.3s ease 0s;
    -webkit-border-radius: <?php echo $allStyle[2] ?>px;
    -o-border-radius: <?php echo $allStyle[2] ?>px;
    -moz-border-radius: <?php echo $allStyle[2] ?>px;
    -ms-border-radius: <?php echo $allStyle[2] ?>px;
    border-radius: <?php echo $allStyle[2] ?>px;
    border-style: solid;
    border-width: <?php echo $allStyle[3] ?>px;
    border-color: <?php echo $allStyle[4] ?>;
    box-shadow: 0 0 <?php echo $allStyle[9] ?>px <?php echo $allStyle[8] ?>px <?php echo $allStyle[10] ?>;
    -moz-box-shadow: 0 0 <?php echo $allStyle[9] ?>px <?php echo $allStyle[8] ?>px <?php echo $allStyle[10] ?>;
    -o-box-shadow: 0 0 <?php echo $allStyle[9] ?>px <?php echo $allStyle[8] ?>px <?php echo $allStyle[10] ?>;
    -webkit-box-shadow: 0 0 <?php echo $allStyle[9] ?>px <?php echo $allStyle[8] ?>px <?php echo $allStyle[10] ?>;
    -ms-box-shadow: 0 0 <?php echo $allStyle[9] ?>px <?php echo $allStyle[8] ?>px <?php echo $allStyle[10] ?>;
    width: 100%;
    float: left;
    position: relative;
    background-color: <?php echo $background_bg1 ?>; 
    <?php
      $gradient = (isset($allStyle[31]) && $allStyle[31] >= 5) ? "linear-gradient(top, $background_bg1 0%, $background_bg2 48%, $background_bg3 99%)" : "linear-gradient(top, #fff 0%, $background_bg1 30%, $background_bg2 70%, $background_bg3 99%)";
    ?>
    background: -moz-<?php echo $gradient ?>;
    background: -webkit-<?php echo $gradient ?>;
    background: <?php echo $gradient ?>;
    
  }

  .wpm_6310_team_style_<?php echo $ids ?>_pic img {
    width: 100%;
    height: auto;
    float: left;
    -webkit-border-radius: <?php echo (isset($allStyle[33]) && $allStyle[33] !== '') ? $allStyle[33] : 0 ?>%;
    -o-border-radius: <?php echo (isset($allStyle[33]) && $allStyle[33] !== '') ? $allStyle[33] : 0 ?>%;
    -moz-border-radius: <?php echo (isset($allStyle[33]) && $allStyle[33] !== '') ? $allStyle[33] : 0 ?>%;
    -ms-border-radius: <?php echo (isset($allStyle[33]) && $allStyle[33] !== '') ? $allStyle[33] : 0 ?>%;
    border-radius: <?php echo (isset($allStyle[33]) && $allStyle[33] !== '') ? $allStyle[33] : 0 ?>%;
  }

  .wpm_6310_team_style_<?php echo $ids ?>_team_content {
    float: left;
    width: 100%;
    padding: 0 20px;   
  }

  .wpm_6310_team_style_<?php echo $ids ?>_title {
    font-size: <?php echo $allStyle[11] ?>px;
    color: <?php echo $allStyle[12] ?>;
    font-weight: <?php echo $allStyle[15] ?>;
    text-transform: <?php echo $allStyle[16]; ?>;
    font-family: <?php echo str_replace("+", " ", $allStyle[17]); ?>;
    line-height: <?php echo $allStyle[18] ?>px;
    margin-top: <?php echo (isset($allSlider[41]) && $allSlider[41] !== '') ? $allSlider[41]:15;?>px;
    margin-bottom: <?php echo (isset($allSlider[42]) && $allSlider[42] !== '') ? $allSlider[42]:5;?>px;
    float: left;
    width: 100%;
  }

  .wpm_6310_team_style_<?php echo $ids ?>_designation {
    display: block;
    font-size: <?php echo $allStyle[19] ?>px;
    color: <?php echo $allStyle[20] ?>;
    font-weight: <?php echo $allStyle[21] ?>;
    text-transform: <?php echo $allStyle[22] ?>;
    font-family: <?php echo str_replace("+", " ", $allStyle[23]); ?>;
    line-height: <?php echo $allStyle[24] ?>px;
    margin-top: <?php echo (isset($allSlider[51]) && $allSlider[51] !== '') ? $allSlider[51]:0;?>px;
    margin-bottom: <?php echo (isset($allSlider[52]) && $allSlider[52] !== '') ? $allSlider[52]:10;?>px;
    float: left;
    width: 100%;
  }

  .wpm_6310_team_style_<?php echo $ids ?>:hover {
    box-shadow: 0 -5px <?php echo (isset($allStyle[32]) && $allStyle[32] !== '') ? $allStyle[32] : 'rgba(220, 0, 90, 0.8)' ?> inset;
    background: <?php echo $hover_bg1 ?>; 
    <?php
      $gradient = (isset($allStyle[31]) && $allStyle[31] >= 5) ? "linear-gradient(top, $hover_bg1 0%, $hover_bg2 48%, $hover_bg3 99%)" : "linear-gradient(top, #fff 0%, $hover_bg1 30%, $hover_bg2 70%, $hover_bg3 99%)";
    ?>
    background: -moz-<?php echo $gradient ?>;
    background: -webkit-<?php echo $gradient ?>;
    background: <?php echo $gradient ?>;
  }


  ul.wpm_6310_team_style_<?php echo $ids ?>_social {
    display: <?php echo (!isset($allStyle[35]) || (isset($allStyle[35]) && $allStyle[35])) ? 'block':'none'?>;
    list-style: none;
    padding: 0;
    margin: <?php echo (isset($allSlider[61]) && $allSlider[61] !== '') ? $allSlider[61]:0;?>px 0 <?php echo (isset($allSlider[62]) && $allSlider[62] !== '') ? $allSlider[62]:0;?>px;
    float: left;
    width: 100%;
  }

  ul.wpm_6310_team_style_<?php echo $ids ?>_social li {
    display: inline-block;
    margin: 0 8px 8px 0 !important;
    padding: 0 !important;
  }

  ul.wpm_6310_team_style_<?php echo $ids ?>_social li:last-child {
    margin-right: 0 !important;
  }

  ul.wpm_6310_team_style_<?php echo $ids ?>_social li a {
    font-size: <?php echo ceil(($allStyle[26] + $allStyle[27]) / 4) ?>px;
    border-radius: <?php echo $allStyle[30] ?>%;
    -moz-border-radius: <?php echo $allStyle[30] ?>%;
    -webkit-border-radius: <?php echo $allStyle[30] ?>%;
    -o-border-radius: <?php echo $allStyle[30] ?>%;
    -ms-border-radius: <?php echo $allStyle[30] ?>%;
    display: block;
    transition: all 0.3s ease 0s;
  }
</style>

<?php
include wpm_6310_plugin_url . "output/common-output-file.php";
wpm6310_common_output_css($ids);
?>